package com.inspect.patrol.service;

import com.inspect.patrol.domain.PatrolPresetParam;

import java.util.List;

public interface IPatrolPresetParamService {
    List<PatrolPresetParam> selectPatrolPresetParamByPosPatrolPresetId(Long presetId);

    List<PatrolPresetParam> selectPatrolPresetParamList(PatrolPresetParam param);

    int insertPatrolPresetParam(PatrolPresetParam param);

    int updatePatrolPresetParam(PatrolPresetParam param);

    int deletePatrolPresetParamByPosParamIds(Long[] paramIds);

    int deletePatrolPresetParamByPosParamId(Long paramId);
}
